
Application: gvSIG desktop - gvSIG bugs #446
error creating adding shp file / error al crear añadir archivo shp
03/16/2012 07:22 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.0.0-rc1
Severity: Add-on version: 2.0-SNAPSHOT
gvSIG version: 2.0.0 Add-on build: 2039
gvSIG build: 2043 Add-on resolve version:2.0-SNAPSHOT
Operative System: Windows Add-on resolve build: 2041
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: CRS management (org.gvsig.crs.extension)
Description

En:
create a new layer:
type: shapefile,  curve
crs: espg 22175
error, log attached

Es:
crear nuevo layer
tipo: shapefile,  curve
crs: espg 22175
error, adjunto log

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 524: Avoid invalid value... Closed 04/12/2012
Related to Application: gvSIG desktop - gvSIG bugs # 451: error picking splin... Closed 03/20/2012

Associated revisions
Revision 38104 - 04/12/2012 05:14 AM - Cesar Ordiñana

The installation of JPROJ4 natives must be performed into the gvSIG root installation folder instead of the natives one.
Refs #446 .

Revision 38105 - 04/12/2012 07:44 AM - Cesar Ordiñana

Change state to alpha5.
Refs #446

History
#1 - 04/06/2012 07:55 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 04/08/2012 09:57 PM - Joaquín  del Cerro Murciano
- Assignee set to Cesar Ordiñana
- Target version set to 2.0.0-alpha5

#3 - 04/11/2012 07:47 PM - Cesar Ordiñana
- Status changed from New to In progress
- Add-on name changed from Unknown to CRS management (org.gvsig.crs.extension)
- Add-on version set to 2.0-SNAPSHOT
- Add-on build set to 2039

The error has been produced while trying to load the native JNI PROJ4 library used to manage CRS values.

Maybe the JCRS addon didn't include that library in the installation.  I'm going to try to install the last built (2045) in windows to see if it still happens.

Es conveniente que salga de la aplicación

no crsjniproj2.0.1 in java.library.path
ERROR AWT-EventQueue-1 org.gvsig.andami.messages.NotificationManager - Error de la applicacion.  
Es conveniente que salga de la aplicación

no crsjniproj2.0.1 in java.library.path
java.lang.UnsatisfiedLinkError: no crsjniproj2.0.1 in java.library.path
    at java.lang.ClassLoader.loadLibrary(Unknown Source)
    at java.lang.Runtime.loadLibrary0(Unknown Source)
    at java.lang.System.loadLibrary(Unknown Source)
    at org.gvsig.crs.proj.JNIBaseCrs.<clinit>(JNIBaseCrs.java:78)
    at org.gvsig.crs.CrsGT.getCrsProj(CrsGT.java:324)
    at org.gvsig.crs.COperation.<init>(COperation.java:131)
    at org.gvsig.crs.CrsGT.getCT(CrsGT.java:188)
    at org.gvsig.fmap.mapcontext.layers.FLayers.doAddLayer(FLayers.java:205)
    at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:240)
    at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:219)
    at org.gvsig.newlayer.impl.DefaultNewLayerService.loadLayer(DefaultNewLayerService.java:95)
    at org.gvsig.newlayer.impl.DefaultNewLayerWizard$MyFinishAction.performAction(DefaultNewLayerWizard.java:175)
    at jwizardcomponent.DefaultJWizardComponents.finishButton_actionPerformed(Unknown Source)
    at jwizardcomponent.DefaultJWizardComponents$4.actionPerformed(Unknown Source)

#4 - 04/12/2012 11:12 AM - Cesar Ordiñana

Yes, the bug is located in the installation of the org.gvsig.crs.extension package installation for windows. Going to fix it ASAP.

#5 - 04/12/2012 01:39 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

With the revision r38104 seems to be solved. There are still some problems related to the user interface, as it allows to set invalid values for a shape.

I'm going to close this bug, and open another one to change the user interface so it doesn't allow the user to set invalid values. (bug #524)
#6 - 04/12/2012 04:21 PM - Cesar Ordiñana
- Status changed from Fixed to In progress
- % Done changed from 100 to 0
- Add-on resolve version set to 2.0-SNAPSHOT
- Add-on resolve build set to 2041

Created installation packages of the CRS plugin for linux and windows and uploaded to the server in:

http://devel.gvsig.org/download/projects/gvsig-jcrs/pool/org.gvsig.crs.extension/

Will be included in the next build

#7 - 04/12/2012 05:41 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

#8 - 08/30/2012 11:04 AM - María Maluenda
- Status changed from Fixed to New
- Target version changed from 2.0.0-alpha5 to 2.0.0-rc1

In the gvSIG build 2051 you can't change EPSG for the new layer, applied by default the EPSG of the View. If you apply to the view epsg 22175 and
create a new layer curve with this epsg, when edit the layer an error appears (add spline, polyline)

#9 - 09/12/2012 05:41 PM - Joaquín  del Cerro Murciano
- Assignee changed from Cesar Ordiñana to Juan Lucas Domínguez
- % Done changed from 100 to 0

#10 - 09/17/2012 12:09 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r38895

Added missing SPLINE case in intersects method and avoided use of GeneralPath to prevent null pointer exception in BaseMultiPrimitive.

#11 - 09/17/2012 12:09 PM - Juan Lucas Domínguez

If you apply to the view epsg 22175 and create a new layer curve with this epsg, when edit the layer an error appears (add spline, polyline)

#12 - 10/01/2012 10:08 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2055

#13 - 10/11/2012 10:23 AM - María Maluenda
- File gvSIG.log added
- Status changed from Fixed to New
- Target version changed from 2.0.0-devel-2055 to 2.0.0-rc1
Tested in the gvSIG build 2056.
1.- Open gvSIG
2.- Open new View (EPSG 22175)
3.- Create new shape (curve-2D)
4.- Select layer in Toc and start editing
5.- Click Spline tool
6.- Draw a spline and double click to finish, an error appears. If you draw a polyline also appears.
Attached .log

#14 - 10/15/2012 11:02 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

This issue is already fixed (it's the same as #451)

The steps described by María (11/10/2012) should work in BN 2057 or higher.

#15 - 11/07/2012 01:15 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Files
erroralgeneralunshp.log 124 KB 03/16/2012 Mario Fevre
gvSIG.log 299 KB 10/11/2012 María Maluenda
